Please note that effective September 2015, Google Chrome will no longer support Java, which is required to run the PowerTicker web version. We recommend using Internet Explorer 8.0+, Firefox or Safari instead. Please refer to System Requirements for PowerTicker.